// ------------------------------------token的本地存储------------------------------------

// 点赞的本时间戳
const TIME_KEY = 'HNBWY_WEB_TIME_NUM'

/**
 * 从本地缓存中获取时间戳
 */
const locGetTimeFu = (): string => {
  return localStorage.getItem(TIME_KEY) || ''
}

/**
 * 存入时间戳
 */
export const locSetTimeFu = (): void => {
  // 获取当天0点时间戳
  const timestamp = new Date().setHours(0, 0, 0, 0)
  localStorage.setItem(TIME_KEY, timestamp + '')
}

/**
 * true:表示没有时间戳/超过22小时（可以点赞）
 * 获取本地缓存中的时间戳是不是存在/有没有超过22小时
 */
export const locTimeFlagFu = (): boolean => {
  let flag = false
  const time = locGetTimeFu()

  if (time) {
    const timeNum = Number(time)
    // 获取当天0点时间戳
    const nowTime = new Date().setHours(0, 0, 0, 0)
    if (nowTime !== timeNum) {
      // 过了0点了
      flag = true
    }
  } else {
    // 还没有存入时间戳，可以点赞
    flag = true
  }

  return flag
}
